"""
Интерфейс к графической части приложения
"""

import abc


class IGui(abc.ABC):
    """
    Интерфейс к графической части приложения
    """

    def __init__(self) -> None:
        print("IGui._init__()")

    @abc.abstractmethod
    def run(self) -> None:
        """
        Запускает приложение в работу
        """
        raise NotImplementedError("Not implemented")
